#include "QMatPlotWidget.h"
#include <QApplication>
#include <QLayout>

#include <cmath>

typedef QVector<qreal> Vector;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QMatPlotWidget w;
    w.setWindowTitle("QMatPlotWidget Example: simpleplot");
    w.layout()->setMargin(20);
    w.show();

    const int N = 40;
    Vector x(N+1), y1(N+1), y2(N+1);
    for(int i=0; i<=N; ++i)
    {
        x[i] = -1. + 2.*i/N;
        y1[i] = x[i]*x[i];
        y2[i] = y1[i]*x[i];
        // test for NaN values
        if (std::fabs(x[i])<0.25) y1[i] = NAN;
    }

    w.plot(x,y1,"o-");
    w.plot(x,y2,"^:");
    w.plot(Vector({0, 0}),Vector({-1, 1}),"k-");
    w.plot(Vector({-1, 1}),Vector({0, 0}),"k-");
    w.setXlabel("x");
    w.setYlabel("y");
    w.setTitle("y1(x)=x^2, y2(x)=x^3");


    return app.exec();
}
